<?php
function ArnicaFontAwesomeSocial() {
	$icons = array(
		'fab fa-500px'				=>  esc_html__( '500px', 'arnica' ),
		'fab fa-amazon'				=>	esc_html__( 'Amazon', 'arnica' ),
		'fab fa-apple'				=>	esc_html__( 'Apple', 'arnica' ),
		'fab fa-behance'			=>  esc_html__( 'Behance', 'arnica' ),
		'fab fa-blogger-b'			=>  esc_html__( 'Blogger', 'arnica' ),
		'fab fa-deviantart'			=>  esc_html__( 'DeviantArt', 'arnica' ),
		'fab fa-dribbble'			=>  esc_html__( 'Dribbble', 'arnica' ),
		'fab fa-ello'				=>	esc_html__( 'Ello', 'arnica' ),
		'fas fa-envelope'			=>	esc_html__( 'Email', 'arnica' ),
		'fab fa-evernote'			=>	esc_html__( 'Evernote', 'arnica' ),
		'fab fa-facebook-f'			=>	esc_html__( 'Facebook', 'arnica' ),
		'fab fa-flickr'				=>  esc_html__( 'Flickr', 'arnica' ),
		'fab fa-flipboard'			=>  esc_html__( 'Flipboard', 'arnica' ),
		'fab fa-foursquare'			=>	esc_html__( 'FourSquare', 'arnica' ),
		'fab fa-github-alt'			=>  esc_html__( 'Github', 'arnica' ),
		'fab fa-google-wallet'		=>  esc_html__( 'Google Wallet', 'arnica' ),
		'fab fa-instagram'   		=>	esc_html__( 'Instagram', 'arnica' ),
		'fab fa-lastfm'				=> 	esc_html__( 'LastFM', 'arnica' ),
		'fab fa-linkedin-in'		=> 	esc_html__( 'LinkedIn', 'arnica' ),
		'fab fa-medium-m'			=> 	esc_html__( 'Medium', 'arnica' ),
		'fab fa-mix'				=>  esc_html__( 'Mix', 'arnica' ),
		'fab fa-paypal'				=>	esc_html__( 'PayPal', 'arnica' ),
		'fab fa-periscope'			=>	esc_html__( 'Periscope', 'arnica' ),
		'fab fa-pinterest'			=> 	esc_html__( 'Pinterest', 'arnica' ),	
		'fas fa-rss'				=>	esc_html__( 'RSS', 'arnica' ),
		'fab fa-reddit-alien'		=>	esc_html__( 'Reddit', 'arnica' ),
		'fab fa-shopify'			=>  esc_html__( 'Shopify', 'arnica' ),
		'fab fa-skype'				=>  esc_html__( 'Skype', 'arnica' ),
		'fab fa-soundcloud'			=>	esc_html__( 'SoundCloud', 'arnica' ),
		'fab fa-spotify'			=>  esc_html__( 'Spotify', 'arnica' ),
		'fab fa-stack-overflow'		=> 	esc_html__( 'Stack Overflow', 'arnica' ),
		'fab fa-steam-symbol'		=> 	esc_html__( 'Steam', 'arnica' ),
		'fab fa-telegram-plane'		=>  esc_html__( 'Telegram', 'arnica' ),
		'fab fa-tiktok'				=>  esc_html__( 'TikTok', 'arnica' ),
		'fab fa-tumblr'				=>  esc_html__( 'Tumblr', 'arnica' ),
		'fab fa-twitch'				=>	esc_html__( 'Twitch', 'arnica' ),		
		'fab fa-twitter'			=>	esc_html__( 'Twitter', 'arnica' ),
		'fab fa-unsplash'			=>	esc_html__( 'Unsplash', 'arnica' ),
		'fab fa-vk'					=>	esc_html__( 'VK', 'arnica' ),
		'fab fa-vimeo-v'			=>  esc_html__( 'Vimeo', 'arnica' ),
		'fab fa-vine'				=>	esc_html__( 'Vine', 'arnica' ),	
		'fab fa-weibo'				=>  esc_html__( 'Weibo', 'arnica' ),	
		'fab fa-whatsapp'			=>  esc_html__( 'WhatsApp', 'arnica' ),
		'fab fa-wordpress-simple'	=>	esc_html__( 'WordPress', 'arnica' ),
		'fab fa-xing'				=>	esc_html__( 'Xing', 'arnica' ),
		'fab fa-yahoo'				=> 	esc_html__( 'Yahoo', 'arnica' ),	
		'fab fa-yelp'				=>	esc_html__( 'Yelp', 'arnica' ),
		'fab fa-youtube'			=>  esc_html__( 'YouTube', 'arnica' )		
	);
	
	asort($icons);
	$options = array();
	
	foreach($icons as $key => $value) {
  		$options[ $key ] = $value;
	}

	return $options;
}