<?php
	$this->sections[] = array(
		'title'	 => esc_html__( 'Countdown', 'arnica' ),
		'icon'	 => 'el el-calendar',
		'fields' => array(
			  
			// Visibility
			array(
				'id'        => 'countdown_visibility',
				'type'      => 'switch',
				'title'     => esc_html__( 'Visibility', 'arnica' ),
				'desc'     	=> esc_html__( 'Enable/disable countdown timer.', 'arnica' ),
				'on'        => esc_html__( 'Enable', 'arnica' ),
				'off'       => esc_html__( 'Disable', 'arnica' ),
				'default'   => true
			),
			  
			// Type
			array(
				'id'        => 'countdown_type',
				'type'      => 'switch',
				'title'     => esc_html__( 'Type', 'arnica' ),
				'desc'     	=> esc_html__( 'Horizontal/Vertical countdown timer.', 'arnica' ),
				'on'        => esc_html__( 'Vertical', 'arnica' ),
				'off'       => esc_html__( 'Horizontal', 'arnica' ),
				'default'   => true
			),
			  
			// Add separator
			array(
				'id'        => 'countdown_separator',
				'type'      => 'switch',
				'title'     => esc_html__( 'Separator', 'arnica' ),
				'desc'     	=> esc_html__( 'Add separator line for vertical countdown timer.', 'arnica' ),
				'on'        => esc_html__( 'Yes', 'arnica' ),
				'off'       => esc_html__( 'No', 'arnica' ),
				'default'   => false
			),
		  
			// Countdown date
			array(
				'id'       		=> 'countdown_date',
				'type'     		=> 'date',
				'title'    		=> esc_html__( 'Countdown Date', 'arnica' ),
				'desc'     		=> esc_html__( 'mm/dd/yyyy', 'arnica' ),
				'placeholder' 	=> date( 'm/d/Y', strtotime( '+1 month' ) )
			),
			
			array(
				'id'        => 'countdown_time',
				'type'      => 'text',
				'title'     => esc_html__( 'Countdown Time', 'arnica' ),
				'desc'      => esc_html__( 'hh/mm/ss', 'arnica' ),
				'default'   => '00:00:00'
			),
			
			// Countdown labels
			array(
				'id'		=> 'countdown_labels',
				'type' 		=> 'text',
				'title' 	=> esc_html__( 'Labels', 'arnica' ),			
				'default' 	=> esc_html__( "Years, Months, Weeks, Days, Hours, Minutes, Seconds", 'arnica' ),
			),
			  
			// Countdown labels1
			array(
				'id'		=> 'countdown_labels_one',
				'type' 		=> 'text',
				'title' 	=> esc_html__( 'Labels One', 'arnica' ),			
				'default' 	=> esc_html__( "Year, Month, Week, Day, Hour, Minute, Second", 'arnica' ),
			),
			
		),
	);
?>