<?php
	$this->sections[] = array(
		'title'	 => esc_html__( 'Custom CSS & JS', 'arnica' ),
		'icon'	 => 'el el-icon-edit',
		'fields' => array(
		  
		  	// Custom CSS
		  	array(
				'id'        => 'custom_css',
				'type'      => 'ace_editor',
				'mode'      => 'css',
				'theme'     => 'chrome',
				'validate'  => 'css',
				'title'     => esc_html__( 'Custom CSS', 'arnica' ),
				'desc'      => esc_html__( 'You can add some CSS to the plugin footer', 'arnica' ),
				'options'   => array(
					'minLines'  => 12, 
					'fontSize'  => 13,
					'useWorker' => false					
				)
			),
			  
			// Custom JS
		  	array(
				'id'        => 'custom_js',
				'type'      => 'ace_editor',
				'mode'      => 'javascript',
				'theme'     => 'chrome',
				'title'     => esc_html__( 'Custom JS', 'arnica' ),
				'desc'      => esc_html__( 'You can add some JS to the plugin footer', 'arnica' ),
				'options'   => array(
					'minLines' => 12, 
					'fontSize' => 13					
				)
			),
			
		),
	);
?>