<?php
	$this->sections[] = array(
		'title'  => esc_html__( 'Footer Options', 'arnica' ),
		'icon'   => 'el el-icon-chevron-down',
		'fields' => array(
		  
		  	// Copyright
		  	array(
				'id'        => 'copyright_text',
				'type'      => 'editor',
				'title'     => esc_html__( 'Copyright Text', 'arnica' ),
				'desc'      => esc_html__( 'You can use the shortcodes in your footer text', 'arnica' ),
				'default'   => wp_kses_post( __( 'Copyright &copy; ' . date( 'Y' ) . ' <strong>Arnica</strong>', 'arnica' ) ),
				'class'		=> 'arnica-editor-style'
			),
		  
			// Social link
			array(
			'id'			=> 'social_link',
			'type' 			=> 'social',
			'title' 		=> esc_html__( 'Social Links', 'arnica' ),
			'options' 		=> ArnicaFontAwesomeSocial(),
			'default_show' 	=> false,
			'default' 		=> array(
								0 => array(
									'title' 	=> esc_html__( 'Twitter', 'arnica' ),
									'select' 	=> 'fab fa-twitter',
									'url' 		=> '#',
									'sort' 		=> 0
								),
								1 => array(
									'title' 	=> esc_html__( 'Facebook', 'arnica' ),
									'url' 		=> '#',
									'select' 	=> 'fab fa-facebook-f',
									'sort' 		=> 1
								),
								2 => array(
									'title' 	=> esc_html__( 'Instagram', 'arnica' ),
									'url' 		=> '#',
									'select' 	=> 'fab fa-instagram',
									'sort' 		=> 2
								),
							)
			),
			
		),
	);
?>