<?php
	$this->sections[] = array(
		'title'  => esc_html__( 'Main Options', 'arnica' ),
		'icon'   => 'el el-home',
		'fields' => array(
	
		   	// Plugin mode
			array(
				'id'        => 'plugin_mode',
				'type'      => 'switch',
				'title'     => esc_html__( 'Plugin Mode', 'arnica' ),
				'subtitle'  => esc_html__( 'Choose the mode in which you want the plugin to operate in.', 'arnica' ),
				'desc'      => wp_kses_post( __( '<ul><li><strong>Off</strong> - Arnica will be switch off.</li><li><strong>Coming Soon Mode</strong> - <strong>JUST</strong> Visitors will see Arnica while you work on your theme (Administrator can not see).</li>', 'arnica' ) ),
				'on'        => esc_html__( 'Coming Soon Mode', 'arnica' ),
				'off'       => esc_html__( 'Off', 'arnica' ),
				'default'   => false
			),
					
			// Skin color
			array(
				'id'       => 'color',
				'type'     => 'select',
				'title'    => esc_html__( 'Skin Color', 'arnica' ),
				'subtitle' => esc_html__( 'Choose your skin Color', 'arnica' ),
				'options'  => array(
					'green' 	=> esc_html__( 'Green',	'arnica' ),
					'blue' 		=> esc_html__( 'Blue', 'arnica' ),
					'orange' 	=> esc_html__( 'Orange', 'arnica' ),			
					'purple' 	=> esc_html__( 'Purple', 'arnica' ),
					'yellow' 	=> esc_html__( 'Yellow', 'arnica' ),					
					'grey' 		=> esc_html__( 'Grey',  'arnica' ),
				),
				'default'  => 'green'	
			),
			  
			// Logo
			array(
				'id'       => 'logo',
				'type'     => 'media',
				'title'    => esc_html__( 'Logo', 'arnica' ),
			),
		  
		   	// Favicon
			array(
				'id'       => 'favicon',
				'type'     => 'media',
				'title'    => esc_html__( 'Favicon', 'arnica' ),
				'desc'     => esc_html__( 'Use a 16x16 .ico or .png file.', 'arnica' ),
			),	
			
			// Title
			array(
				'id'       => 'title',
				'type'     => 'text',
				'title'    => esc_html__( 'Title', 'arnica' ),
				'validate' => 'html',
				'default'  => wp_kses_post( __( "<strong>Arnica</strong> Is ", 'arnica' ) ),
			),
			  
			// Title words
			array(
				'id'       => 'words_wrapper',
				'type'     => 'text',
				'title'    => esc_html__( 'Words Wrapper', 'arnica' ),
				'validate' => 'html',
				'default'  => esc_html__( 'Coming Soon|Creative|Launching', 'arnica' ),
			),	
			
			// Slogan
		  	array(
				'id'        => 'slogan',
				'type'      => 'editor',
				'title'     => esc_html__( 'Slogan', 'arnica' ),
				'default'   => wp_kses_post( __( 'Our website is under construction, we are working very hard to give you the best experience. <br class="d-none d-lg-block">You will love <strong>Arnica</strong> as much as we do. <span class="d-none d-lg-inline">It will morph perfectly on your needs!</span>', 'arnica' ) )
			),
			
		),
	);
?>