<?php
	$this->sections[] = array(
		'title'	 => esc_html__( 'Contact Form', 'arnica' ),
		'icon'	 => 'el el-envelope',
		'fields' => array(
		  
		  	// Visibility
			array(
				'id'        => 'contact_form_visibility',
				'type'      => 'switch',
				'title'     => esc_html__( 'Section Visibility', 'arnica' ),
				'desc'      => esc_html__( 'Enable/disable contact form section.', 'arnica' ),
				'on'        => esc_html__( 'Enable', 'arnica' ),
				'off'       => esc_html__( 'Disable', 'arnica' ),
				'default'   => true
			),
		  
		  	// Name field label
			array(
				'id'       => 'contact_form_name_field_label',
				'type'     => 'text',
				'title'    => esc_html__( 'Name Field Label', 'arnica' ),
				'default'  => esc_html__( 'Name', 'arnica' ),
			),
			
			// Email field label
			array(
				'id'       => 'contact_form_email_field_label',
				'type'     => 'text',
				'title'    => esc_html__( 'Email Field Label', 'arnica' ),
				'default'  => esc_html__( 'Email', 'arnica' ),
			),
			
			// Phone field label
			array(
				'id'       => 'contact_form_phone_field_label',
				'type'     => 'text',
				'title'    => esc_html__( 'Phone Field Label', 'arnica' ),
				'default'  => esc_html__( 'Phone', 'arnica' ),
			),
			
			// Message field label
			array(
				'id'       => 'contact_form_message_field_label',
				'type'     => 'text',
				'title'    => esc_html__( 'Message Field Label', 'arnica' ),
				'default'  => esc_html__( 'Message', 'arnica' ),
			),
              
            // Button icon
            array(
				'id'	   	=>'contact_form_button_icon',
				'type' 	   	=> 'select',
				'title'    	=> esc_html__('Button Icon', 'arnica'),
				'options'  	=> ArnicaFontAwesomeIcons(),
				'class'    	=> 'font-awesome-icons',
				'default'  	=> 'fas fa-paper-plane'
			),
			
			// Button label
			array(
				'id'       => 'contact_form_button_label',
				'type'     => 'text',
				'title'    => esc_html__( 'Button Label', 'arnica' ),
				'default'  => esc_html__( 'Submit', 'arnica' ),
			),
			
			// Target email address
			array(
				'id'        => 'contact_form_email',
				'type'      => 'text',
				'title'     => esc_html__( 'Target Email address', 'arnica' ),
				'default'   => ''
			),
              
            // Form result
            array(
				'id'        => 'contact_form_result',
				'type'      => 'editor',
				'title'     => esc_html__( 'Form Result Text', 'arnica' ),
				'default'   => wp_kses_post( __( "<h3>Thank You for the Email!</h3><p>Your message has already arrived! We'll contact you shortly.</p>", 'arnica' ) )
			), 
            
			// Email template
			array(
				'id'        => 'contact_form_template',
				'type'      => 'textarea',
				'title'     => esc_html__( 'Email Template', 'arnica' ),
				'desc'      => wp_kses_post( __( 'Available tags &ndash; {from}, {email}, {phone}, {message}, {date}, {ip}', 'arnica' ) ),
				'default'   => wp_kses_post( __( "Dear Administrator,\nYou have one message from {from} ({email}).\n\n{message}\n\n{date}\n{phone}", 'arnica' ) )
			),
			
		),
	);
?>