<?php
	$this->sections[] = array(
		'title'	 => esc_html__( 'Contact Info', 'arnica' ),
		'icon'	 => 'el el-icon-phone',
		'fields' => array(
		  
		  	// Visibility
			array(
				'id'        => 'contact_visibility',
				'type'      => 'switch',
				'title'     => esc_html__( 'Section Visibility', 'arnica' ),
				'desc'     	=> esc_html__( 'Enable/disable contact info section.', 'arnica' ),
				'on'        => esc_html__( 'Enable', 'arnica' ),
				'off'       => esc_html__( 'Disable', 'arnica' ),
				'default'   => true
			),
		  
		  	// Title
			array(
				'id'       	=> 'contact_title',
				'type'     	=> 'text',
				'title'    	=> esc_html__( 'Title', 'arnica' ),
				'default'  	=> esc_html__( 'Contact', 'arnica' ),
			),
			
			// Phone
			array(
				'id'      	=> 'contact_phone',
				'type'     	=> 'section',
				'title'  	=> esc_html__( 'Phone', 'arnica' ),
				'indent' 	=> true,
			),
			
			array(
				'id'	   	=>'contact_phone_icon',
				'type' 	   	=> 'select',
				'title'    	=> esc_html__('Phone Icon', 'arnica'),
				'options'  	=> ArnicaFontAwesomeIcons(),
				'class'    	=> 'font-awesome-icons',
				'default'  	=> 'fas fa-phone'
			),
			
			array(
				'id'       	=> 'contact_phone_text',
				'type'     	=> 'text',
				'title'    	=> esc_html__( 'Phone Number', 'arnica' ),
				'validate' 	=> 'html',
				'default'  	=> esc_html__( "P: (866) 496-3250", 'arnica' ),
			),
			
			array(
				'id'       	=> 'contact_fax_text',
				'type'     	=> 'text',
				'title'    	=> esc_html__( 'Fax Number', 'arnica' ),
				'validate' 	=> 'html',
				'default'  	=> esc_html__( "F: (866) 496-3251", 'arnica' ),
			),
			
			array(
				'id'     	=> 'contact_phone_end',
				'type'   	=> 'section',
				'indent' 	=> false,
			),
			  
			// Address
			array(
				'id'      	=> 'contact_address',
				'type'     	=> 'section',
				'title'    	=> esc_html__( 'Address', 'arnica' ),
				'indent'   	=> true,
			),
			
			array(
				'id'	   	=>'contact_address_icon',
				'type' 	   	=> 'select',
				'title'    	=> esc_html__('Address Icon', 'arnica'),
				'options'  	=> ArnicaFontAwesomeIcons(),
				'class'    	=> 'font-awesome-icons',
				'default'  	=> 'fas fa-map'
			),
			
			array(
				'id'       	=> 'contact_address_text',
				'type'     	=> 'text',
				'title'    	=> esc_html__( 'Address', 'arnica' ),
				'validate' 	=> 'html',
				'default'  	=> esc_html__( "San Francisco, CA 94123, US", 'arnica' ),
			),
			
			array(
				'id'     	=> 'contact_address_end',
				'type'   	=> 'section',
				'indent' 	=> false,
			),
			
			// Email address
			array(
				'id'      	=> 'contact_email',
				'type'    	=> 'section',
				'title'    	=> esc_html__('Email', 'arnica'),
				'indent'  	=> true,
			),
			
			array(
				'id'	   	=>'contact_email_icon',
				'type' 	   	=> 'select',
				'title'    	=> esc_html__('Email Icon', 'arnica'),
				'options'  	=> ArnicaFontAwesomeIcons(),
				'class'    	=> 'font-awesome-icons',
				'default'  	=> 'fas fa-envelope'
			),
			
			array(
				'id'       	=> 'contact_email_text',
				'type'     	=> 'text',
				'title'    	=> esc_html__( 'Email Address', 'arnica' ),
				'validate' 	=> 'html',
				'default'  	=> "info@example.com",
			),
			
			array(
				'id'       	=> 'contact_email2_text',
				'type'     	=> 'text',
				'title'    	=> esc_html__( 'Email Address 2', 'arnica' ),
				'validate' 	=> 'html',
				'default'  	=> "support@example.com",
			),
			
			array(
				'id'     	=> 'contact_email_end',
				'type'   	=> 'section',
				'indent' 	=> false,
			),
			
		),
	);
?>